#!/usr/bin/sh
#SBATCH -N 32
#SBATCH -n 1024
#SBATCH -t 00:10:00
#SBATCH -p pbatch

export I_MPI_EXTRA_FILESYSTEM=on
export I_MPI_EXTRA_FILESYSTEM_LIST=lustre
export OMP_NUM_THREADS=1


cd /p/lscratchh/wang116/applications/qmcpack-3.9.2/examples/H2O
lfs setstripe -c 8 -S 4M ./


#rm -f *.h5 *.dat
#srun ../../qmcpack simple-H2O.xml


rm -f *.h5 *.dat
LD_PRELOAD=/g/g90/wang116/sources/Recorder/install/lib/librecorder.so \
    srun ../../qmcpack simple-H2O.xml
